### Function

# Gtk.test_init

#### Declaration [src]

    void
    gtk_test_init (
      int* argcp,
      char*** argvp,
      ...
    )

#### Description [src]

This function is used to initialize a GTK test program.

It will in turn call `g_test_init()` and `gtk_init()` to properly initialize the testing framework and graphical toolkit. It’ll also set the program’s locale to “C”. This is done to make test program environments as deterministic as possible.

Like `gtk_init()` and `g_test_init()`, any known arguments will be processed and stripped from `argc` and `argv`.

#### Parameters

`argcp` | `int*`
| Address of the `argc` parameter of the `main()` function. Changed if any arguments were handled.
| Direction: in-out
| Ownership is not transferred to the callee
`argvp` | An array of `char**`
| Address of the `argv` parameter of `main()`. Any parameters understood by `g_test_init()` or `gtk_init()` are stripped before return.
| Direction: in-out
| The length of the array is in the `argcp` argument
| Ownership of the data is transferred to the callee
`...` | ``
| currently unused